#ifndef	_ADIRENT_H
#define	_ADIRENT_H

#ifdef	__cplusplus
extern "C" {
#endif

#include <sys/types.h>
#include <limits.h>
#include <dirent.h>

/*
 * File types for d_type.
 */
#define	DT_UNKNOWN	0
#define	DT_FIFO		1
#define	DT_CHR		2
#define	DT_DIR		4
#define	DT_BLK		6
#define	DT_REG		8
#define	DT_LNK		10
#define	DT_SOCK		12
#define	DT_WHT		14

#define	DIRENT	struct adirent

struct adirent {
	offset_t	d_ino;
	offset_t	d_off;
	uchar_t		d_type;
	uint16_t	d_reclen;
	char		d_name[PATH_MAX];
};

#define READDIR	areaddir

DIRENT *READDIR(DIR *);


#ifdef	__cplusplus
}
#endif

#endif	/* _ADIRENT_H */
